Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementgetelementsbytagnamenomatch Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementgetelementsbytagnamenomatch (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getElementsByTagName(name)" method returns a list of all descendant Elements with the given tag name.

Create a NodeList of all the descendant elements using the string "employee" as the tagName. The method should return a NodeList whose length is "5".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1938918D

Definition at line 45 of file elementgetelementsbytagnamenomatch.java.

## Constructor & Destructor Documentation

elementgetelementsbytagnamenomatch::elementgetelementsbytagnamenomatch | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file elementgetelementsbytagnamenomatch.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String elementgetelementsbytagnamenomatch::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 61 of file elementgetelementsbytagnamenomatch.java.
    00061                                 {
    00062       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementgetelementsbytagnamenomatch";
    00063    }

void elementgetelementsbytagnamenomatch::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 64 of file elementgetelementsbytagnamenomatch.java. References DOMTestCase::doMain().
    00064                                           {
    00065         DOMTestCase.doMain(elementgetelementsbytagnamenomatch.class,args);
    00066    }

void elementgetelementsbytagnamenomatch::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file elementgetelementsbytagnamenomatch.java. References DOMTestCase::assertSize(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       doc = load("staff");
    00057       elementList = doc.getElementsByTagName("noMatch");
    00058       assertSize("elementGetElementsByTagNameNoMatchNoMatchAssert",0,elementList);
    00059
    00060    }

The documentation for this class was generated from the following file:

- elementgetelementsbytagnamenomatch.java